View Issue Details

IDProjectCategoryView StatusLast Update
0003659GNUnetATS servicepublic2019-02-28 11:17
ReporterChristian GrothoffAssigned ToChristian Grothoff 
PrioritylowSeverityfeatureReproducibilityN/A
Status closedResolutionfixed 
Platformi7OSDebian GNU/LinuxOS Versionsqueeze
Product VersionSVN HEAD 
Target Version0.11.0Fixed in Version0.11.0 
Summary0003659: allow specification of strength of request for GNUNET_ATS_connectivity_suggest()
DescriptionOnce we replace GNUNET_TRANSPORT_try_connect() with this call, we might also enable applications to express the 'strength' or importance of this connectivity request. I.e., we might use the bucket number of the DHT or the number of tunnels involved in a core-level connection of CADET to express how badly a connection loss would impact applications.
TagsNo tags attached.

Relationships

related to 0003675 closedChristian Grothoff eliminate use of GNUNET_TRANSPORT_try_connect() 

Activities

Christian Grothoff

2015-10-18 23:10

manager   ~0009743

The strength argument is now passed, but not yet used by ATS.

Christian Grothoff

2019-02-13 23:59

manager   ~0013733

TNG ATS logic uses this already.

Issue History

Date Modified Username Field Change
2015-02-09 00:15 Christian Grothoff New Issue
2015-02-09 00:15 Christian Grothoff Status new => assigned
2015-02-09 00:15 Christian Grothoff Assigned To => Matthias Wachs
2015-02-11 20:12 Christian Grothoff Priority normal => low
2015-02-11 20:14 Christian Grothoff Relationship added related to 0003675
2015-02-11 20:35 Christian Grothoff Assigned To Matthias Wachs =>
2015-02-11 20:35 Christian Grothoff Status assigned => confirmed
2015-10-18 23:10 Christian Grothoff Note Added: 0009743
2015-10-18 23:10 Christian Grothoff Assigned To => Christian Grothoff
2015-10-18 23:10 Christian Grothoff Status confirmed => assigned
2018-06-27 21:50 Christian Grothoff Assigned To Christian Grothoff =>
2018-06-27 21:50 Christian Grothoff Status assigned => confirmed
2019-02-12 09:22 Christian Grothoff Target Version => 0.12.0
2019-02-13 23:59 Christian Grothoff Assigned To => Christian Grothoff
2019-02-13 23:59 Christian Grothoff Status confirmed => resolved
2019-02-13 23:59 Christian Grothoff Resolution open => fixed
2019-02-13 23:59 Christian Grothoff Fixed in Version => 0.11.0
2019-02-13 23:59 Christian Grothoff Note Added: 0013733
2019-02-13 23:59 Christian Grothoff Fixed in Version 0.11.0 => 0.12.0
2019-02-21 22:11 Christian Grothoff Fixed in Version 0.12.0 => 0.11.0
2019-02-21 22:11 Christian Grothoff Target Version 0.12.0 => 0.11.0
2019-02-28 11:17 Christian Grothoff Status resolved => closed